# docker-git-puller

A docker container that pulls a git repo (updates it) every given amount of time (default 60s) with a shell script.

## Purpose

There are many scenarios where such a container could help. For example (as I use it), this image could be used to pull a hugo built website (living in a public git repo) to a local folder, so that another docker container can serve the most recent files.

See the [docker-compose example](example/) for a quick overview how this works.


## Building

Building this docker image is quite easy. For a quick start, just use this:

```sh
docker build -t git-puller .
```

After this is done successfully, you can check out the new image in your local image store with `docker images`.


## Useful links

Similar projects:

- [https://github.com/abes-esr/gitpuller-docker/](https://github.com/abes-esr/gitpuller-docker/)
- [https://github.com/Ekito/docker-cron/](https://github.com/Ekito/docker-cron/)
- [https://github.com/keckelt/cron-alpine/](https://github.com/keckelt/cron-alpine/)
- [https://github.com/theohbrothers/docker-alpine-cron/](https://github.com/theohbrothers/docker-alpine-cron/)

Forum posts:

- [https://serverfault.com/questions/599103/make-a-docker-application-write-to-stdout](https://serverfault.com/questions/599103/make-a-docker-application-write-to-stdout)
- [https://stackoverflow.com/questions/71557316/docker-alpine-execute-command-as-another-user](https://stackoverflow.com/questions/71557316/docker-alpine-execute-command-as-another-user)


## License

see [LICENSE.md](LICENSE.md)
